=== modified file 'drizzled/base.h'
--- drizzled/base.h	2009-08-15 00:39:29 +0000
+++ drizzled/base.h	2009-08-17 01:44:23 +0000
@@ -267,7 +267,6 @@
 #define HA_OPTION_LONG_BLOB_PTR		8 /* new ISAM format */
 #define HA_OPTION_TMP_TABLE		16
 #define HA_OPTION_CHECKSUM		32
-#define HA_OPTION_DELAY_KEY_WRITE	64
 #define HA_OPTION_NO_PACK_KEYS		128  /* Reserved for MySQL */
 #define HA_OPTION_CREATE_FROM_ENGINE    256
 #define HA_OPTION_RELIES_ON_SQL_LAYER   512
@@ -284,7 +283,6 @@
 #define HA_CREATE_CHECKSUM	8
 #define HA_CREATE_KEEP_FILES	16      /* don't overwrite .MYD and MYI */
 #define HA_CREATE_PAGE_CHECKSUM	32
-#define HA_CREATE_DELAY_KEY_WRITE 64
 #define HA_CREATE_RELIES_ON_SQL_LAYER 128
 
 /*

=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2009-08-04 06:52:55 +0000
+++ drizzled/definitions.h	2009-08-17 01:44:23 +0000
@@ -478,7 +478,6 @@
 #define HA_LEX_CREATE_IF_NOT_EXISTS 2
 #define HA_LEX_CREATE_TABLE_LIKE 4
 #define HA_OPTION_NO_CHECKSUM	(1L << 17)
-#define HA_OPTION_NO_DELAY_KEY_WRITE (1L << 18)
 #define HA_MAX_REC_LENGTH	65535
 
 /* Options of START TRANSACTION statement (and later of SET TRANSACTION stmt) */
@@ -507,7 +506,6 @@
 #define HA_CREATE_USED_INDEXDIR         (1L << 11)
 #define HA_CREATE_USED_ENGINE           (1L << 12)
 #define HA_CREATE_USED_CHECKSUM         (1L << 13)
-#define HA_CREATE_USED_DELAY_KEY_WRITE  (1L << 14)
 #define HA_CREATE_USED_ROW_FORMAT       (1L << 15)
 #define HA_CREATE_USED_COMMENT          (1L << 16)
 #define HA_CREATE_USED_CONNECTION       (1L << 18)

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-08-13 21:55:13 +0000
+++ drizzled/drizzled.cc	2009-08-17 01:44:23 +0000
@@ -1614,7 +1614,6 @@
   OPT_PID_FILE,
   OPT_STORAGE_ENGINE,          
   OPT_INIT_FILE,
-  OPT_DELAY_KEY_WRITE,
   OPT_WANT_CORE,
   OPT_MEMLOCK,
   OPT_SERVER_ID,
@@ -1726,9 +1725,6 @@
    N_("Set the default time zone."),
    (char**) &default_tz_name, (char**) &default_tz_name,
    0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0 },
-  {"delay-key-write", OPT_DELAY_KEY_WRITE,
-   N_("Type of DELAY_KEY_WRITE."),
-   0,0,0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
 #ifdef HAVE_STACK_TRACE_ON_SEGV
   {"enable-pstack", OPT_DO_PSTACK,
    N_("Print a symbolic stack trace on failure."),

=== modified file 'drizzled/message/table_reader.cc'
--- drizzled/message/table_reader.cc	2009-07-28 23:10:51 +0000
+++ drizzled/message/table_reader.cc	2009-08-17 01:44:23 +0000
@@ -237,8 +237,6 @@
     cout << " CHECKSUM = " << options.checksum() << endl;
   if (options.has_page_checksum())
     cout << " PAGE_CHECKSUM = " << options.page_checksum() << endl;
-  if (options.has_delay_key_write())
-    cout << " DELAY_KEY_WRITE = " << options.delay_key_write() << endl;
 }
 
 

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-08-07 19:38:17 +0000
+++ drizzled/show.cc	2009-08-17 01:44:23 +0000
@@ -737,8 +737,6 @@
       packet->append(STRING_WITH_LEN(" PAGE_CHECKSUM="));
       packet->append(ha_choice_values[(uint32_t) share->page_checksum], 1);
     }
-    if (share->db_create_options & HA_OPTION_DELAY_KEY_WRITE)
-      packet->append(STRING_WITH_LEN(" DELAY_KEY_WRITE=1"));
     if (create_info.row_type != ROW_TYPE_DEFAULT)
     {
       packet->append(STRING_WITH_LEN(" ROW_FORMAT="));

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-08-17 00:51:17 +0000
+++ drizzled/sql_table.cc	2009-08-17 01:44:23 +0000
@@ -1755,7 +1755,6 @@
   if (create_info->options & HA_LEX_CREATE_TMP_TABLE)
   {
     path_length= build_tmptable_filename(session, path, sizeof(path));
-    create_info->table_options|=HA_CREATE_DELAY_KEY_WRITE;
   }
   else
   {
@@ -2648,7 +2647,6 @@
     if (session->find_temporary_table(db, table_name))
       goto table_exists;
     dst_path_length= build_tmptable_filename(session, dst_path, sizeof(dst_path));
-    create_info->table_options|= HA_CREATE_DELAY_KEY_WRITE;
   }
   else
   {
@@ -3420,10 +3418,6 @@
   if (create_info->table_options &
       (HA_OPTION_CHECKSUM | HA_OPTION_NO_CHECKSUM))
     db_create_options&= ~(HA_OPTION_CHECKSUM | HA_OPTION_NO_CHECKSUM);
-  if (create_info->table_options &
-      (HA_OPTION_DELAY_KEY_WRITE | HA_OPTION_NO_DELAY_KEY_WRITE))
-    db_create_options&= ~(HA_OPTION_DELAY_KEY_WRITE |
-			  HA_OPTION_NO_DELAY_KEY_WRITE);
   create_info->table_options|= db_create_options;
 
   if (table->s->tmp_table)

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-08-16 14:14:39 +0000
+++ drizzled/sql_yacc.yy	2009-08-17 01:44:23 +0000
@@ -523,7 +523,6 @@
 %token  DECIMAL_SYM                   /* SQL-2003-R */
 %token  DECLARE_SYM                   /* SQL-2003-R */
 %token  DEFAULT                       /* SQL-2003-R */
-%token  DELAY_KEY_WRITE_SYM
 %token  DELETE_SYM                    /* SQL-2003-R */
 %token  DESC                          /* SQL-2003-N */
 %token  DESCRIBE                      /* SQL-2003-R */
@@ -1411,11 +1410,6 @@
             Lex->create_info.used_fields|= HA_CREATE_USED_PAGE_CHECKSUM;
             Lex->create_info.page_checksum= $3;
           }
-        | DELAY_KEY_WRITE_SYM opt_equal ulong_num
-          {
-            Lex->create_info.table_options|= $3 ? HA_OPTION_DELAY_KEY_WRITE : HA_OPTION_NO_DELAY_KEY_WRITE;
-            Lex->create_info.used_fields|= HA_CREATE_USED_DELAY_KEY_WRITE;
-          }
         | ROW_FORMAT_SYM opt_equal row_types
           {
             Lex->create_info.row_type= $3;
@@ -5555,7 +5549,6 @@
         | DATETIME_SYM             {}
         | DATE_SYM                 {}
         | DAY_SYM                  {}
-        | DELAY_KEY_WRITE_SYM      {}
         | DIRECTORY_SYM            {}
         | DISABLE_SYM              {}
         | DISCARD                  {}

=== modified file 'drizzled/symbol_hash.gperf'
--- drizzled/symbol_hash.gperf	2009-07-03 15:14:47 +0000
+++ drizzled/symbol_hash.gperf	2009-08-17 01:44:23 +0000
@@ -140,7 +140,6 @@
 DECIMAL, DECIMAL_SYM
 DECLARE, DECLARE_SYM
 DEFAULT, DEFAULT
-DELAY_KEY_WRITE, DELAY_KEY_WRITE_SYM
 DELETE, DELETE_SYM
 DESC, DESC
 DESCRIBE, DESCRIBE

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-08-05 07:19:17 +0000
+++ drizzled/table.cc	2009-08-17 01:44:23 +0000
@@ -311,14 +311,6 @@
       db_create_options|= HA_OPTION_NO_CHECKSUM;
   }
 
-  if (table_options.has_delay_key_write())
-  {
-    if (table_options.delay_key_write())
-      db_create_options|= HA_OPTION_DELAY_KEY_WRITE;
-    else
-      db_create_options|= HA_OPTION_NO_DELAY_KEY_WRITE;
-  }
-
   /* db_create_options was stored as 2 bytes in FRM
      Any HA_OPTION_ that doesn't fit into 2 bytes was silently truncated away.
    */

=== modified file 'drizzled/table_proto_write.cc'
--- drizzled/table_proto_write.cc	2009-07-27 23:34:52 +0000
+++ drizzled/table_proto_write.cc	2009-08-17 01:44:23 +0000
@@ -310,17 +310,6 @@
     table_options->set_page_checksum(true);
 
 
-  if (create_info->used_fields & HA_CREATE_USED_DELAY_KEY_WRITE)
-  {
-    if(create_info->table_options & HA_OPTION_DELAY_KEY_WRITE)
-      table_options->set_delay_key_write(true);
-    else if(create_info->table_options & HA_OPTION_NO_DELAY_KEY_WRITE)
-      table_options->set_delay_key_write(false);
-  }
-  else if(create_info->table_options & HA_OPTION_DELAY_KEY_WRITE)
-    table_options->set_delay_key_write(true);
-
-
   switch(create_info->row_type)
   {
   case ROW_TYPE_DEFAULT:

=== modified file 'plugin/info_schema/info_schema_methods.cc'
--- plugin/info_schema/info_schema_methods.cc	2009-08-05 09:29:04 +0000
+++ plugin/info_schema/info_schema_methods.cc	2009-08-17 01:44:23 +0000
@@ -1168,10 +1168,6 @@
       ptr+= sprintf(ptr, " page_checksum=%s",
                     ha_choice_values[(uint32_t) share->page_checksum]);
     }
-    if (share->db_create_options & HA_OPTION_DELAY_KEY_WRITE)
-    {
-      ptr= strcpy(ptr," delay_key_write=1")+18;
-    }
     if (share->row_type != ROW_TYPE_DEFAULT)
     {
       ptr+= sprintf(ptr, " row_format=%s", ha_row_type[(uint32_t)share->row_type]);

=== modified file 'plugin/myisam/ha_myisam.cc'
--- plugin/myisam/ha_myisam.cc	2009-08-17 00:51:17 +0000
+++ plugin/myisam/ha_myisam.cc	2009-08-17 01:44:23 +0000
@@ -1655,8 +1655,6 @@
     create_flags|= HA_PACK_RECORD;
   if (options & HA_OPTION_CHECKSUM)
     create_flags|= HA_CREATE_CHECKSUM;
-  if (options & HA_OPTION_DELAY_KEY_WRITE)
-    create_flags|= HA_CREATE_DELAY_KEY_WRITE;
 
   /* TODO: Check that the following fn_format is really needed */
   error= mi_create(fn_format(buff, table_name, "", "",

=== modified file 'plugin/myisam/mi_create.cc'
--- plugin/myisam/mi_create.cc	2009-06-24 22:42:00 +0000
+++ plugin/myisam/mi_create.cc	2009-08-17 01:44:23 +0000
@@ -77,10 +77,10 @@
       options=ci->old_options &
 	(HA_OPTION_COMPRESS_RECORD | HA_OPTION_PACK_RECORD |
 	 HA_OPTION_READ_ONLY_DATA | HA_OPTION_CHECKSUM |
-	 HA_OPTION_TMP_TABLE | HA_OPTION_DELAY_KEY_WRITE);
+	 HA_OPTION_TMP_TABLE );
     else
       options=ci->old_options &
-	(HA_OPTION_CHECKSUM | HA_OPTION_TMP_TABLE | HA_OPTION_DELAY_KEY_WRITE);
+	(HA_OPTION_CHECKSUM | HA_OPTION_TMP_TABLE );
   }
 
   if (ci->reloc_rows > ci->max_rows)
@@ -180,8 +180,6 @@
     options|= HA_OPTION_CHECKSUM;
     min_pack_length++;
   }
-  if (flags & HA_CREATE_DELAY_KEY_WRITE)
-    options|= HA_OPTION_DELAY_KEY_WRITE;
   if (flags & HA_CREATE_RELIES_ON_SQL_LAYER)
     options|= HA_OPTION_RELIES_ON_SQL_LAYER;
 

=== modified file 'plugin/myisam/mi_open.cc'
--- plugin/myisam/mi_open.cc	2009-08-15 00:39:29 +0000
+++ plugin/myisam/mi_open.cc	2009-08-17 01:44:23 +0000
@@ -124,7 +124,7 @@
 	~(HA_OPTION_PACK_RECORD | HA_OPTION_PACK_KEYS |
 	  HA_OPTION_COMPRESS_RECORD | HA_OPTION_READ_ONLY_DATA |
 	  HA_OPTION_TEMP_COMPRESS_RECORD | HA_OPTION_CHECKSUM |
-          HA_OPTION_TMP_TABLE | HA_OPTION_DELAY_KEY_WRITE |
+          HA_OPTION_TMP_TABLE |
           HA_OPTION_RELIES_ON_SQL_LAYER))
     {
       my_errno=HA_ERR_OLD_FILE;

=== modified file 'tests/r/bench_count_distinct.result'
--- tests/r/bench_count_distinct.result	2008-12-06 22:41:03 +0000
+++ tests/r/bench_count_distinct.result	2009-08-17 01:44:23 +0000
@@ -1,5 +1,5 @@
 drop table if exists t1;
-create table t1(n int not null, key(n)) delay_key_write = 1;
+create table t1(n int not null, key(n));
 select count(distinct n) from t1;
 count(distinct n)
 100

=== modified file 'tests/r/show_check.result'
--- tests/r/show_check.result	2009-08-05 05:46:11 +0000
+++ tests/r/show_check.result	2009-08-17 01:44:23 +0000
@@ -230,14 +230,14 @@
 Database	Table	In_use	Name_locked
 test	t1	0	0
 drop table t1;
-create temporary table t1 (a int not null, b VARCHAR(10), INDEX (b) ) AVG_ROW_LENGTH=10 CHECKSUM=1 COMMENT="test" ENGINE=MYISAM MIN_ROWS=10 MAX_ROWS=100 PACK_KEYS=1 DELAY_KEY_WRITE=1 ROW_FORMAT=fixed;
+create temporary table t1 (a int not null, b VARCHAR(10), INDEX (b) ) AVG_ROW_LENGTH=10 CHECKSUM=1 COMMENT="test" ENGINE=MYISAM MIN_ROWS=10 MAX_ROWS=100 PACK_KEYS=1 ROW_FORMAT=fixed;
 show create table t1;
 Table	Create Table
 t1	CREATE TEMPORARY TABLE `t1` (
   `a` int NOT NULL,
   `b` varchar(10) DEFAULT NULL,
   KEY `b` (`b`)
-) ENGINE=MyISAM MIN_ROWS=10 MAX_ROWS=100 AVG_ROW_LENGTH=10 PACK_KEYS=1 CHECKSUM=1 DELAY_KEY_WRITE=1 ROW_FORMAT=FIXED COMMENT='test'
+) ENGINE=MyISAM MIN_ROWS=10 MAX_ROWS=100 AVG_ROW_LENGTH=10 PACK_KEYS=1 CHECKSUM=1 ROW_FORMAT=FIXED COMMENT='test'
 alter table t1 MAX_ROWS=200 ROW_FORMAT=dynamic PACK_KEYS=0;
 show create table t1;
 Table	Create Table
@@ -245,8 +245,8 @@
   `a` int NOT NULL,
   `b` varchar(10) DEFAULT NULL,
   KEY `b` (`b`)
-) ENGINE=MyISAM MIN_ROWS=10 MAX_ROWS=200 AVG_ROW_LENGTH=10 PACK_KEYS=0 CHECKSUM=1 DELAY_KEY_WRITE=1 ROW_FORMAT=DYNAMIC COMMENT='test'
-ALTER TABLE t1 AVG_ROW_LENGTH=0 CHECKSUM=0 COMMENT="" MIN_ROWS=0 MAX_ROWS=0 PACK_KEYS=DEFAULT DELAY_KEY_WRITE=0 ROW_FORMAT=default;
+) ENGINE=MyISAM MIN_ROWS=10 MAX_ROWS=200 AVG_ROW_LENGTH=10 PACK_KEYS=0 CHECKSUM=1 ROW_FORMAT=DYNAMIC COMMENT='test'
+ALTER TABLE t1 AVG_ROW_LENGTH=0 CHECKSUM=0 COMMENT="" MIN_ROWS=0 MAX_ROWS=0 PACK_KEYS=DEFAULT ROW_FORMAT=default;
 show create table t1;
 Table	Create Table
 t1	CREATE TEMPORARY TABLE `t1` (
@@ -288,7 +288,7 @@
 type_set enum ('red', 'green', 'blue'),
 type_blob blob,
 index(type_int)
-) AVG_ROW_LENGTH=10 CHECKSUM=1 COMMENT="test" ENGINE=MYISAM MIN_ROWS=10 MAX_ROWS=100 PACK_KEYS=1 DELAY_KEY_WRITE=1 ROW_FORMAT=fixed;
+) AVG_ROW_LENGTH=10 CHECKSUM=1 COMMENT="test" ENGINE=MYISAM MIN_ROWS=10 MAX_ROWS=100 PACK_KEYS=1 ROW_FORMAT=fixed;
 show create table t1;
 Table	Create Table
 t1	CREATE TEMPORARY TABLE `t1` (
@@ -306,7 +306,7 @@
   `type_set` enum('red','green','blue') DEFAULT NULL,
   `type_blob` blob,
   KEY `type_int` (`type_int`)
-) ENGINE=MyISAM MIN_ROWS=10 MAX_ROWS=100 AVG_ROW_LENGTH=10 PACK_KEYS=1 CHECKSUM=1 DELAY_KEY_WRITE=1 ROW_FORMAT=FIXED COMMENT='test'
+) ENGINE=MyISAM MIN_ROWS=10 MAX_ROWS=100 AVG_ROW_LENGTH=10 PACK_KEYS=1 CHECKSUM=1 ROW_FORMAT=FIXED COMMENT='test'
 insert into t1 (type_timestamp) values ("2003-02-07 10:00:01");
 select * from t1;
 type_int	type_bigint	type_decimal	type_numeric	empty_char	type_char	type_varchar	type_timestamp	type_date	type_datetime	type_enum	type_set	type_blob

=== modified file 'tests/t/bench_count_distinct.test'
--- tests/t/bench_count_distinct.test	2009-03-11 06:37:19 +0000
+++ tests/t/bench_count_distinct.test	2009-08-17 01:44:23 +0000
@@ -5,7 +5,7 @@
 --disable_warnings
 drop table if exists t1;
 --enable_warnings
-create table t1(n int not null, key(n)) delay_key_write = 1;
+create table t1(n int not null, key(n));
 let $1=100;
 disable_query_log;
 begin;

=== modified file 'tests/t/show_check.test'
--- tests/t/show_check.test	2009-08-05 05:46:11 +0000
+++ tests/t/show_check.test	2009-08-17 01:44:23 +0000
@@ -116,11 +116,11 @@
 show open tables;
 drop table t1;
 
-create temporary table t1 (a int not null, b VARCHAR(10), INDEX (b) ) AVG_ROW_LENGTH=10 CHECKSUM=1 COMMENT="test" ENGINE=MYISAM MIN_ROWS=10 MAX_ROWS=100 PACK_KEYS=1 DELAY_KEY_WRITE=1 ROW_FORMAT=fixed;
+create temporary table t1 (a int not null, b VARCHAR(10), INDEX (b) ) AVG_ROW_LENGTH=10 CHECKSUM=1 COMMENT="test" ENGINE=MYISAM MIN_ROWS=10 MAX_ROWS=100 PACK_KEYS=1 ROW_FORMAT=fixed;
 show create table t1;
 alter table t1 MAX_ROWS=200 ROW_FORMAT=dynamic PACK_KEYS=0;
 show create table t1;
-ALTER TABLE t1 AVG_ROW_LENGTH=0 CHECKSUM=0 COMMENT="" MIN_ROWS=0 MAX_ROWS=0 PACK_KEYS=DEFAULT DELAY_KEY_WRITE=0 ROW_FORMAT=default;
+ALTER TABLE t1 AVG_ROW_LENGTH=0 CHECKSUM=0 COMMENT="" MIN_ROWS=0 MAX_ROWS=0 PACK_KEYS=DEFAULT ROW_FORMAT=default;
 show create table t1;
 drop table t1;
 
@@ -147,7 +147,7 @@
 type_set enum ('red', 'green', 'blue'),
 type_blob blob,
 index(type_int)
-) AVG_ROW_LENGTH=10 CHECKSUM=1 COMMENT="test" ENGINE=MYISAM MIN_ROWS=10 MAX_ROWS=100 PACK_KEYS=1 DELAY_KEY_WRITE=1 ROW_FORMAT=fixed;
+) AVG_ROW_LENGTH=10 CHECKSUM=1 COMMENT="test" ENGINE=MYISAM MIN_ROWS=10 MAX_ROWS=100 PACK_KEYS=1 ROW_FORMAT=fixed;
 
 # Not tested above: RAID_# UNION INSERT_METHOD DATA DIRECTORY INDEX DIRECTORY
 show create table t1;

